Subject: Re: [bug#50614] [PATCH] build: utils: Add‘list-when’ macro.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 17 Sep 2021 21:31:02 +0200

Am Freitag, den 17.09.2021, 12:15 -0700 schrieb Sarah Morgensen:
> Do we actually use this idiom anywhere build-side?  (If not, does it
> belong in (guix utils)?  Or should we stick it in (guix build utils)
> just to be safe?)
I'm pretty sure that this would mostly be used in quasi-quoted contexts
outside of the actual build to build #:configure-flags, #:make-flags
and inputs.  However, I can't really say there'd be no use of it inside
builds, even if builds typically don't need to check for conditionals
other than tests?